Name:           libtelepathy
Version:        0.3.3
Release:        %mkrel 1
Summary:        A GLib library to ease writing telepathy clients
Group:          Development/Other
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libxslt-proc
BuildRequires:	python-pyxml
BuildRequires:	libtelepathy-glib-devel

%description
A GLib library to ease writing telepathy clients in glib.

#--------------------------------------------------------------------
%define major 2
%define libname %mklibname telepathy %major

%package -n %libname
Summary:        Development files for %{name}
Group:          Development/Other
Provides:       %{name} >= %{version}-%{release}
Obsoletes:	%name < 0.3.0-2

%description -n %libname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_libdir}/*.so.%{major}*

#--------------------------------------------------------------------
%define develname %mklibname -d telepathy
%package -n %develname
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:       dbus-devel
Requires:       dbus-glib-devel
Requires:       pkgconfig
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%name-devel < 0.3.0-2

%description -n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/telepathy-1.0/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#-------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Jun 15 2008 Funda Wang <fundawang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 219229
- fix BR
- BR telepathy-glib-devel
- update to new version 0.3.3

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Mar 24 2008 Michael Scherer <misc@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 189757
- update to new version 0.3.2

* Sun Jan 06 2008 Jérôme Soyer <saispo@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 145871
- Add Provides needed

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 145729
- Fix BR
- Mistake
- Bump Release
- Add BR
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 23 2007 Funda Wang <fundawang@mandriva.org> 0.3.0-2mdv2008.1
+ Revision: 111403
- BR python-pyxml
- libfied
- update to new version 0.3.0

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.0-1mdv2008.1
+ Revision: 97311
- New release 0.2.0

* Sat Jun 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.55-1mdv2008.0
+ Revision: 34764
- New version 0.0.55

* Thu May 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.54-1mdv2008.0
+ Revision: 21878
- New version 0.0.54

* Mon Apr 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.53-1mdv2007.1
+ Revision: 13511
- New version 0.0.53


* Wed Feb 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.51-1mdv2007.0
+ Revision: 130197
- New relezase 0.0.51
- New version 0.0.42

* Fri Jan 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.41-1mdv2007.1
+ Revision: 107935
- New version 0.0.41
- Import libtelepathy

